Class | Irc::ChannelList
In: | lib/rbot/irc.rb
Parent: | ArrayOf

A ChannelList is an ArrayOf `Channel`s

### Methods

names new

### Public Class methods

new(ar=[])

Create a new ChannelList, optionally filling it with the elements from the Array argument fed to it.

### Public Instance methods

names()

Convenience method: convert the ChannelList to a list of channel names. The indices are preserved

[Validate]